Skip to main content
GET
cURL

Query Parameters

instrument_name
string
required

Instrument name Unique instrument identifier

Example:

"BTC-PERPETUAL"

start_timestamp
integer
required

The earliest timestamp to return result from (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

end_timestamp
integer
required

The most recent timestamp to return result from (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
array
required

Markprice history values as an array of arrays with 2 values each. The inner values correspond to the timestamp in ms and the markprice itself.

id
integer

The id that was sent in the request